local ADDON, Package = ...

local function combat_disable_portrait_message()
  PlayerFrame:UnregisterEvent("UNIT_COMBAT")
  PetFrame:UnregisterEvent("UNIT_COMBAT")
end

local function combat_disable_ui_error_message()
  local function OnEvent(self, event)
    if event == "PLAYER_REGEN_ENABLED" then
      UIErrorsFrame:RegisterEvent("UI_ERROR_MESSAGE")
    end

    if event == "PLAYER_REGEN_DISABLED" then
      UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
    end
  end

  local agent = CreateFrame("Frame")
  agent:RegisterEvent("PLAYER_REGEN_ENABLED")
  agent:RegisterEvent("PLAYER_REGEN_DISABLED")
  agent:SetScript("OnEvent", OnEvent)
end

Package.combat_disable_portrait_message = combat_disable_portrait_message
Package.combat_disable_ui_error_message = combat_disable_ui_error_message
